### org.jfree.layouting.input.style.selectors.conditions

# Class LangCSSCondition

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.conditions.LangCSSCondition`

Implemented Interfaces:
  Condition, LangCondition, CSSCondition, Serializable

`public class LangCSSCondition`
`extends java.lang.Object`
`implements LangCondition, CSSCondition`

Creation-Date: 24.11.2005, 19:54:48

Author:
  Thomas Morgner

  ## Constructor Summary

  `LangCSSCondition(String value)`

  ## Method Summary

  `short`

  `getConditionType()`
    An integer indicating the type of `Condition`.

  `String`

  `getLang()`
    Returns the language

  `boolean`

  `isMatch(Object resolveState)`

## Constructor Details

### LangCSSCondition

    public LangCSSCondition(String value)

## Method Details

### getConditionType

    public short getConditionType()

> An integer indicating the type of `Condition`.

### getLang

    public String getLang()

> Returns the language

### isMatch

    public boolean isMatch(Object resolveState)

> Specified by:
>   isMatch in interface CSSCondition